#include <iostream>
using namespace std;


int main()
{
  int N, K, n, x;
  cin >> N >> K;
  n = 2 * N + 1;
  int A[n];
  for(int i = 0; i < n; i++)
  {
    A[i] = 0;
  }
  for(int i = 0; i < N; i++)
  {
    cin >> x;
    A[N + x]++;
  }
  x = 0;
  bool B[n];
  for(int i = 0; i < n; i++)
  {
    B[i] = false;
    if(A[i] >= K)
    {
      x++;
      B[i] = true;
    }
  }
  cout << x << endl;
  for(int i = 0; i < n; i++)
  {
    if(B[i])
    {
      cout << N * (-1) + i << " ";
    }
  }
  return 0;
}